/*
 *	@(#)DebugOutput.java 1.13 00/02/10 13:15:26
 *
 * Copyright (c) 1996-2000 Sun Microsystems, Inc. All Rights Reserved.
 *
 * Sun grants you ("Licensee") a non-exclusive, royalty free, license to use,
 * modify and redistribute this software in source and binary code form,
 * provided that i) this copyright notice and license appear on all copies of
 * the software; and ii) Licensee does not utilize the software in a manner
 * which is disparaging to Sun.
 *
 * This software is provided "AS IS," without a warranty of any kind. ALL
 * EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND WARRANTIES, INCLUDING ANY
 * IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR
 * NON-INFRINGEMENT, ARE HEREBY EXCLUDED. SUN AND ITS LICENSORS SHALL NOT BE
 * LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING
 * OR DISTRIBUTING THE SOFTWARE OR ITS DERIVATIVES. IN NO EVENT WILL SUN OR ITS
 * LICENSORS BE LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR FOR DIRECT,
 * INDIRECT, SPECIAL, CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER
 * CAUSED AND REGARDLESS OF THE THEORY OF LIABILITY, ARISING OUT OF THE USE OF
 * OR INABILITY TO USE SOFTWARE, EVEN IF SUN HAS BEEN ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGES.
 *
 * This software is not designed or intended for use in on-line control of
 * aircraft, air traffic, aircraft navigation or aircraft communications; or in
 * the design, construction, operation or maintenance of any nuclear
 * facility. Licensee represents and warrants that it will not use or
 * redistribute the Software for such purposes.
 */

package com.sun.j3d.loaders.lw3d;


/**
 * This class has utility functions for printing out debugging information.
 */

class DebugOutput {
	
    int validOutput = 0;
    final static int TRACE = 1, VALUES = 2, MISC = 4, LINE_TRACE = 8;
    final static int NONE = 0, EXCEPTION = 16, TIME = 32, WARNING = 64;

    DebugOutput(int outputTypes) {
	validOutput = outputTypes;
    }

    void setValidOutput(int outputTypes) {
	validOutput = outputTypes;
    }

    int getValidOutput() {
	return validOutput;
    }

    void print(int outputType, String theOutput) {
	if ((outputType & validOutput) > 0) {
	    System.out.print(theOutput);
	}
    }

    void println(int outputType, String theOutput) {
	if ((outputType & validOutput) > 0)
	    System.out.println(theOutput);
    }

}

 


